<?php
/*
	2014 © Alexander Sunvas*
	http://eleanor-cms.ru
	a@eleanor-cms.ru
	*Pseudonym
*/
header('Cache-Control: no-store');
header('Content-Type: text/plain; charset=utf-8');

$source=__DIR__.'/sitemap.xml';
$dest=__DIR__.'/sitemap.html';

if(!is_file($source))
	die('Файл sitemap.xml не найден');

$source=fopen($source,'r');
if(!$source)
	die('Файл sitemap.xml не удается прочитать');

$dest=fopen($dest,'w');
if(!$dest)
	die('Невозможно произвести запись в sitemap.html');

fwrite($dest,'<!DOCTYPE html><html><head><meta charset="utf-8" /><title>Sitemap</title></head><body>');

$buffer='';
while(!feof($source))
{
	$buffer.=fread($source,1024);

	while(false!==$start=strpos($buffer,'<loc>') and false!==$finish=strpos($buffer,'</loc>',$start))
	{
		fwrite($dest,'<a href="'.rtrim(substr($buffer,$start+5,$finish-$start-5),'/').'"></a>');
		$buffer=substr($buffer,$finish+6);
	}
}

fwrite($dest,'</body></html>');
fclose($source);
fclose($dest);

echo'Готово';